---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: ecolyo-agent-client
  namespace: {{NS}}
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ecolyo-agent-client
  template:
    metadata:
      labels:
        app: ecolyo-agent-client
    spec:
      containers:
        - name: ecolyo-agent-client
          image: registry.forge.grandlyon.com/web-et-numerique/factory/llle_project/backoffice-client:{{IMAGE_TAG}}
          imagePullPolicy: Always
          ports:
            - containerPort: 8080
              protocol: TCP
      nodeSelector:
        node-role.kubernetes.io/worker: ''
      imagePullSecrets:
        - name: llle-project
